# Generated by Django 2.2.5 on 2019-12-20 12:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rel_path', models.TextField(unique=True)),
                ('type', models.CharField(choices=[('audio', 'Audio'), ('folder', 'Folder'), ('image', 'Image'), ('other', 'Other'), ('video', 'Video')], max_length=25)),
                ('public_access', models.BooleanField(default=False)),
                ('uid_c', models.CharField(blank=True, max_length=50, null=True)),
                ('settings_c', models.IntegerField(blank=True, null=True)),
                ('data_version_c', models.IntegerField(blank=True, null=True)),
                ('size_c', models.IntegerField(blank=True, null=True)),
                ('datetime_c', models.DateTimeField(blank=True, null=True)),
                ('exposure_program_c', models.CharField(blank=True, max_length=100, null=True)),
                ('exposure_time_c', models.FloatField(blank=True, null=True)),
                ('flash_c', models.CharField(blank=True, max_length=100, null=True)),
                ('f_number_c', models.FloatField(blank=True, null=True)),
                ('focal_length_c', models.FloatField(blank=True, null=True)),
                ('lon_c', models.FloatField(blank=True, null=True)),
                ('lat_c', models.FloatField(blank=True, null=True)),
                ('height_c', models.IntegerField(blank=True, null=True)),
                ('iso_c', models.IntegerField(blank=True, null=True)),
                ('camera_vendor_c', models.CharField(blank=True, max_length=100, null=True)),
                ('camera_model_c', models.CharField(blank=True, max_length=100, null=True)),
                ('orientation_c', models.IntegerField(blank=True, null=True)),
                ('width_c', models.IntegerField(blank=True, null=True)),
                ('duration_c', models.FloatField(blank=True, null=True)),
                ('ratio_c', models.FloatField(blank=True, null=True)),
                ('album_c', models.CharField(blank=True, max_length=100, null=True)),
                ('artist_c', models.CharField(blank=True, max_length=100, null=True)),
                ('bitrate_c', models.IntegerField(blank=True, null=True)),
                ('genre_c', models.CharField(blank=True, max_length=100, null=True)),
                ('title_c', models.CharField(blank=True, max_length=100, null=True)),
                ('track_c', models.IntegerField(blank=True, null=True)),
                ('year_c', models.IntegerField(blank=True, null=True)),
                ('num_audio_c', models.IntegerField(blank=True, null=True)),
                ('num_folders_c', models.IntegerField(blank=True, null=True)),
                ('num_images_c', models.IntegerField(blank=True, null=True)),
                ('num_other_c', models.IntegerField(blank=True, null=True)),
                ('num_videos_c', models.IntegerField(blank=True, null=True)),
                ('sil_c', models.TextField(blank=True, null=True)),
                ('favourite_of', models.ManyToManyField(blank=True, related_name='favourite_of', to=settings.AUTH_USER_MODEL)),
                ('modify_access', models.ManyToManyField(blank=True, related_name='modify_access', to=settings.AUTH_USER_MODEL)),
                ('read_access', models.ManyToManyField(blank=True, related_name='read_access', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Setting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('show_image', models.BooleanField(default=True)),
                ('show_video', models.BooleanField(default=True)),
                ('show_audio', models.BooleanField(default=False)),
                ('show_other', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=100)),
                ('topleft_x', models.IntegerField(blank=True, null=True)),
                ('topleft_y', models.IntegerField(blank=True, null=True)),
                ('bottomright_x', models.IntegerField(blank=True, null=True)),
                ('bottomright_y', models.IntegerField(blank=True, null=True)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pygal.Item')),
            ],
        ),
    ]
